package org.jeecg.modules.itdmGongDan.mapper;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.itdmGongDan.entity.ItdmTestPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * @Description: 试验计划
 * @Author: jeecg-boot
 * @Date:   2023-05-21
 * @Version: V1.0
 */
public interface ItdmTestPlanMapper extends BaseMapper<ItdmTestPlan> {


    public List<String> geChuanganqitByShiyanid(@Param("list") List<String> list);


    public List<String> geSBByShiyanid(@Param("list") List<String> list);


    public  List<String> getImageByShiyanid(@Param("weituoId") String weituoId);


    public List<Map<String, Object>> getShujuByShiyanid(@Param("list") List<String> list);


    public List<String> getByweituoNO(@Param("weituoId")String weituoNo);



    public  List<String> getWorkDateByWeituoNO(@Param("weituoId")String weituoNo);


    public  List<String> getWoIdByWeituoIdAndWordDate(@Param("weituoId")String weituoNo,@Param("workDate")String work_date);
}
